Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class StyleRenderer

    java.lang.Object
      org.ajax4jsf.resource.BaseResourceRenderer
          org.ajax4jsf.resource.OneTimeRenderer
              org.ajax4jsf.resource.StyleRenderer

All Implemented Interfaces:
  org.ajax4jsf.resource.ResourceRenderer

    public class StyleRenderer

extends OneTimeRenderer

Render style element with content in page. Warning - not use for head link element, it must be rendered separate.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:56:58 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`StyleRenderer()`

Method Summary
`protected java.lang.String[][]` | `getCommonAttrs()`
`java.lang.String` | `getContentType()`
`protected java.lang.String` | `getHrefAttr()`
`protected java.lang.String` | `getTag()`

Methods inherited from class org.ajax4jsf.resource.OneTimeRenderer
`encodeBegin, encodeEnd`

Methods inherited from class org.ajax4jsf.resource.BaseResourceRenderer
`customEncode, encode, encode, getData, requireFacesContext, send, sendStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleRenderer

    public StyleRenderer()

Method Detail

### getTag

    protected java.lang.String getTag()

  Specified by:
    `getTag` in class `BaseResourceRenderer`

### getHrefAttr

    protected java.lang.String getHrefAttr()

  Specified by:
    `getHrefAttr` in class `BaseResourceRenderer`

### getCommonAttrs

    protected java.lang.String[][] getCommonAttrs()

  Specified by:
    `getCommonAttrs` in class `BaseResourceRenderer`

### getContentType

    public java.lang.String getContentType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.